// TreeDlgDlg.h : header file
//

#if !defined(AFX_TREEDLGDLG_H__498A0472_9C36_48BE_96CA_44E174FB3B6D__INCLUDED_)
#define AFX_TREEDLGDLG_H__498A0472_9C36_48BE_96CA_44E174FB3B6D__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

/////////////////////////////////////////////////////////////////////////////
// CTreeDlgDlg dialog

#include "RGTree/RGTreeCtrl.h"
#include "RightTreeCtrl.h"

class CTreeDlgDlg : public CDialog
{
// Construction
public:
	void DeleteSelectedItem( CTreeCtrl *pTree);
	CTreeDlgDlg(CWnd* pParent = NULL);	// standard constructor
	void AddRegistryItems( CTreeCtrl *pTree, HTREEITEM hti, HKEY hKey);
	void Add( CTreeCtrl *pTree, bool bOptimize, UINT nIDTimeInsert, UINT nIDTimeSort, UINT nIDTimeRemove);
	void Sort( CTreeCtrl *pTree, UINT nIDTimeSort);
	void Remove( CTreeCtrl *pTree, bool bOptimize, UINT nIDTimeRemove, UINT nIDTimeInsert);
	
// Dialog Data
	//{{AFX_DATA(CTreeDlgDlg)
	enum { IDD = IDD_TREEDLG_DIALOG };
	CRightTreeCtrl	m_wndTreeCtrl2;
	CButton	m_btnCheck2;
	CButton	m_btnCheck1;
	CRGTreeCtrl	m_wndTreeCtrl1;
	//}}AFX_DATA

	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CTreeDlgDlg)
	public:
	virtual BOOL PreTranslateMessage(MSG* pMsg);
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);	// DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:
	HICON m_hIcon;

	// Generated message map functions
	//{{AFX_MSG(CTreeDlgDlg)
	virtual BOOL OnInitDialog();
	afx_msg void OnPaint();
	afx_msg HCURSOR OnQueryDragIcon();
	afx_msg void OnAdd();
	afx_msg void OnSort();
	afx_msg void OnRemove();
	afx_msg void OnEndLabelEdit(NMHDR* pNMHDR, LRESULT* pResult);
	afx_msg void OnBeginlabeleditTree2(NMHDR* pNMHDR, LRESULT* pResult);
	afx_msg void OnItemexpandingTree2(NMHDR* pNMHDR, LRESULT* pResult);
	afx_msg void OnSelchangingTree2(NMHDR* pNMHDR, LRESULT* pResult);
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
private:
//	CRGTreeCtrl		m_wndTreeCtrl1;
//	CTreeCtrl			m_wndTreeCtrl2;
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_TREEDLGDLG_H__498A0472_9C36_48BE_96CA_44E174FB3B6D__INCLUDED_)
